org.apache.ignite.spi

## Class IgniteSpiOperationTimeoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.spi.IgniteSpiOperationTimeoutException

All Implemented Interfaces:
  Serializable

    public class IgniteSpiOperationTimeoutException
    extends IgniteCheckedException

Kind of exception that is used when failure detection timeout is enabled for `TcpDiscoverySpi` or `TcpCommunicationSpi`. For more information refer to `IgniteConfiguration.setFailureDetectionTimeout(long)` and `IgniteSpiOperationTimeoutHelper`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgniteSpiOperationTimeoutException(String msg)` Constructor.

### Method Summary

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgniteSpiOperationTimeoutException

    public IgniteSpiOperationTimeoutException(String msg)

Constructor.

Parameters:
  `msg` - Error message.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017